> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Full Merchant Submit

> Full Merchant Submit



## OpenAPI

````yaml post /onboarding
openapi: 3.0.3
info:
  title: Fractal
  version: 1.0.0
  contact: {}
servers:
  - url: https://testapi.fractalpay.com/api/v1
    description: Sandbox
  - url: https://api.fractalpay.com/api/v1
    description: Production
security: []
tags:
  - name: Merchant Onboarding
  - name: Payment Collection Methods
  - name: Requests
  - name: Preauthorizations
  - name: Customers
  - name: Charging Customer
  - name: Transactions
paths:
  /onboarding:
    post:
      tags:
        - Merchant Onboarding
      summary: Full Merchant Submit
      description: Full Merchant Submit
      operationId: fullMerchantSubmit
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - OwnerInfo
                - BusinessInfo
                - BankingInfo
                - ProcessingInfo
              properties:
                BankingInfo:
                  type: object
                  properties:
                    account_number:
                      type: string
                      example: '091000019'
                    bank_name:
                      type: string
                      example: Truist
                    routing_number:
                      type: string
                      example: '00212369'
                  required:
                    - account_number
                    - routing_number
                    - bank_name
                BusinessInfo:
                  type: object
                  properties:
                    business_address:
                      type: string
                      example: 333 West Vine Street
                    business_city:
                      type: string
                      example: Lexington
                    business_country:
                      type: string
                      example: US
                    business_email:
                      type: string
                      example: slabreadymixx@mix.com
                    business_industry:
                      type: string
                      example: '7311'
                    business_name:
                      type: string
                      example: Slab Ready Mix
                    business_phone:
                      type: string
                      example: '8599779166'
                    business_state:
                      type: string
                      example: Kentucky
                    business_zip:
                      type: string
                      example: '40517'
                    dba:
                      type: string
                      example: Slab Ready Mix
                    ein:
                      type: string
                      example: '123456789'
                    established_date:
                      type: string
                      example: '2024-01-01'
                    ownershiptype:
                      type: string
                      example: LLC
                    website:
                      type: string
                      example: https://testwebsite.com/
                  required:
                    - business_address
                    - business_city
                    - business_country
                    - business_email
                    - business_name
                    - business_phone
                    - business_state
                    - business_zip
                    - dba
                    - ein
                    - website
                OwnerInfo:
                  type: object
                  properties:
                    address:
                      type: string
                      example: 333 West Vine Street
                    b_dl_number:
                      type: string
                      example: '123123123'
                    b_title:
                      type: string
                      example: Owner
                    city:
                      type: string
                      example: Lexington
                    country:
                      type: string
                      example: US
                    date_of_birth:
                      type: string
                      example: '1998-01-17'
                    email:
                      type: string
                      example: slabreadymixx@mix.com
                    first_name:
                      type: string
                      example: MJ
                    last_name:
                      type: string
                      example: Mann
                    ownership_percent:
                      type: string
                      example: '100'
                    phone:
                      type: string
                      example: '1234567895'
                    ssn:
                      type: string
                      example: '555667777'
                    state:
                      type: string
                      example: Kentucky
                    zip:
                      type: string
                      example: '40507'
                  required:
                    - address
                    - first_name
                    - last_name
                    - email
                    - phone
                    - date_of_birth
                    - city
                    - state
                    - zip
                    - country
                ProcessingInfo:
                  type: object
                  properties:
                    annualCCSales:
                      type: string
                      example: '500000'
                    avgTicket:
                      type: string
                      example: '50'
                    legal_b2b:
                      type: string
                      example: '50'
                    legal_b2c:
                      type: string
                      example: '50'
                    legal_cnpinternet:
                      type: string
                      example: '50'
                    legal_cnpphoneemail:
                      type: string
                      example: '50'
                    legal_cp:
                      type: string
                      example: '50'
                    legal_percentdeliveredover30days:
                      type: string
                      example: '50'
                    legal_percentdeliveredsameday:
                      type: string
                      example: '50'
                    legal_productssold:
                      type: string
                      example: Goods
                    percentdelievered7days:
                      type: string
                      description: >-
                        **Note:** This field must be spelled exactly as listed
                        (`percentdelievered7days`).
                      example: '50'
                    percentdelivered14days:
                      type: string
                      example: '50'
                    processing_environment:
                      type: string
                      example: Ecommerce
                    highest_ticket:
                      type: string
                      example: '10000'
                      description: Highest expected transaction amount.
                    legal_keyed:
                      type: string
                      example: '50'
                  required:
                    - processing_environment
                    - avgTicket
                    - highest_ticket
                    - legal_keyed
                    - annualCCSales
                    - legal_b2c
                    - legal_b2b
                    - legal_cnpinternet
                    - legal_cnpphoneemail
                    - legal_percentdeliveredover30days
                    - legal_percentdeliveredsameday
                    - percentdelievered7days
                    - percentdelivered14days
                    - legal_cp
                    - legal_productssold
            examples:
              Full Merchant Submit:
                value:
                  BankingInfo:
                    account_number: '091000019'
                    bank_name: Truist
                    routing_number: '00212369'
                  BusinessInfo:
                    business_address: 333 West Vine Street
                    business_city: Lexington
                    business_country: US
                    business_email: slabreadymixx@mix.com
                    business_industry: '7311'
                    business_name: Slab Ready Mix
                    business_phone: '8599779166'
                    business_state: Kentucky
                    business_zip: '40517'
                    dba: Slab Ready Mix
                    ein: '123456789'
                    established_date: '2024-01-01'
                    ownershiptype: LLC
                    website: https://testwebsite.com/
                  OwnerInfo:
                    address: 333 West Vine Street
                    b_dl_number: '123123123'
                    b_title: Owner
                    city: Lexington
                    country: US
                    date_of_birth: '1998-01-17'
                    email: slabreadymixx@mix.com
                    first_name: MJ
                    last_name: Mann
                    ownership_percent: '100'
                    phone: '1234567895'
                    ssn: '555667777'
                    state: Kentucky
                    zip: '40507'
                  ProcessingInfo:
                    annualCCSales: '500000'
                    avgTicket: '50'
                    legal_b2b: '50'
                    legal_b2c: '50'
                    legal_cnpinternet: '50'
                    legal_cnpphoneemail: '50'
                    legal_cp: '50'
                    legal_percentdeliveredover30days: '50'
                    legal_percentdeliveredsameday: '50'
                    legal_productssold: Goods
                    percentdelievered7days: '50'
                    percentdelivered14days: '50'
                    processing_environment: Ecommerce
      responses:
        '201':
          description: Full Merchant Submit
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '263'
            Date:
              schema:
                type: string
                example: Wed, 21 Aug 2024 15:41:19 GMT
            ETag:
              schema:
                type: string
                example: W/"107-BwzHwJf7KUADnYBdczrA9ih8eLM"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      businessname:
                        type: string
                        example: Slab Ready Mix
                      email:
                        type: string
                        example: slabreadymixx@mix.com
                      merchant_key:
                        type: string
                        example: >-
                          9f496121110e19b36b862e97559bbd9ffe0bd0a7335b2884e071ea6d6d59cc34
                      public_key:
                        type: string
                        example: 28e2464f8b8726847cec7196beb7d0c6
                  message:
                    type: string
                    example: Merchant onboarding successfully
                  result:
                    type: boolean
                    example: true
              examples:
                Full Merchant Submit:
                  value:
                    data:
                      businessname: Slab Ready Mix
                      email: slabreadymixx@mix.com
                      merchant_key: >-
                        9f496121110e19b36b862e97559bbd9ffe0bd0a7335b2884e071ea6d6d59cc34
                      public_key: 28e2464f8b8726847cec7196beb7d0c6
                    message: Merchant onboarding successfully
                    result: true
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: |-
        Use your Fractal API credentials.

        Username = Client ID
        Password = Secret Key

        Sandbox credentials can be generated from the Test Portal.

````